ives(1)

NAME
ives - Independent Viewing and Editing System

SYNOPSIS
ives [-d xdisplay]

DESCRIPTION

This manual page describes the ives program, the multi-window viewer and editor for X Window. ives can view and edit files in ASCII and HEX formats, and show images written in GIF, JPEG, PNG, PCX, BMP, XBM, XPM, TIFF, TGA and PhotoCD formats. ives was designed to use with xnc but also can be used separately with simple iedit and iview interface programs.

Currently ives does not support hotkeys redefinitions, so here it is keys description.

Editor keys:

F2  Save file.

F3 or Ctrl-C
    Copy selected area of text to cut buffer.

F4 or Ctrl-V
    Paste text from cut buffer to currentl line.

F5 or Ctrl-X
    Cut selected text to cut buffer.

F6  Switch between ives windows.

F7  Find string in text.

F8  Go to line number.

F10 or Esc
    Exit from editor.

Ctrl-B
    Find bracket pair.

Ctrl-L
    Find next entrance. Use after <Find>.

Ctrl-Y
    Delete current line.

Shift+Arrows
    Select/deselect text area.

Ctrl+[+.
    Emacs tags find.

Ctrl+[+/
    Emacs tag file path definition. Viewer keys:

F2  Save file, when in HEX mode.

F3  Switch between ASCII/HEX modes.

F6  Switch between ives viewer windows.

F7 or /
    Find string in file.

F10 or Esc
    Exit from viewer.

OPTIONS

-d xdisplay
    Connect to X Server xdisplay.

FILES

The ives program requires configuration file in your HOME/.xnc directory. Edit HOME/.xnc/ives.ini to adjust settings or run xncsetup for it.

SEE ALSO

xnc, xncsetup, iview, iedit

BUGS

There may be bugs in the ives, but that's not very likely. But if you'll find the bug then please, send complete description to the author.

AUTHOR

Leonid Khramov (leo@xnc.dubna.su), Russia St.Petersburg 2002